Bug 73135 - [PATCH] Partial update of devel/subversion to 1.1.1
Summary: [PATCH] Partial update of devel/subversion to 1.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Lev A. Serebryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-25 19:30 UTC by Bruce A. Mah
Modified: 2004-11-05 15:45 UTC (History)
0 users

See Also:


Attachments
subversion.patch (10.16 KB, patch)
2004-10-25 19:30 UTC, Bruce A. Mah
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bruce A. Mah 2004-10-25 19:30:24 UTC

Fix: The attached patch is a partial update of devel/subversion to
the recently-released 1.1.1.

It fixes (I think) the apr detection bug mentioned in ports/73015.

One caveat is that I managed to break (or "not successfully update")
the Perl bindings in this update.  I would hazard a guess that the
patch in ports/72665, which appears to address this issue, could
be combined with this patch to produce something workable.

I've tested WITH_PYTHON, WITH_MOD_DAV_SVN, WITH_SVNSERVE_WRAPPER,
WITH_BOOK_HTML, and any options that are dependencies of these.
Comment 1 Bruce A. Mah freebsd_committer 2004-10-25 19:35:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lev

Over to port maintainer.  Lev, this is the same patch I sent to you 
by email last night...just getting it in the PR database so neither 
of us loses it.  :-)
Comment 2 Bruce A. Mah freebsd_committer 2004-10-29 15:36:14 UTC
New version of my patch at:

http://people.freebsd.org/~bmah/pub/subversion.patch

This incorporates some improvements by clsung@, taken from a patch in 
PR ports/72665.

Bruce.
Comment 3 Lev A. Serebryakov freebsd_committer 2004-11-05 15:43:44 UTC
State Changed
From-To: open->closed


Resloved in version 1.1.1.
Comment 4 Lev A. Serebryakov freebsd_committer 2004-11-05 15:43:44 UTC
State Changed
From-To: open->closed


Resolved in 1.1.1
Comment 5 Lev A. Serebryakov freebsd_committer 2004-11-05 15:43:44 UTC
State Changed
From-To: open->closed


Resolved in 1.1.1.
Comment 6 Lev A. Serebryakov freebsd_committer 2004-11-05 15:43:44 UTC
State Changed
From-To: open->closed


Committed with some changes and corrections. 
Thanks!